Page MenuHomeMiraheze

Establish state of Miraheze i18n files
Closed, ResolvedPublic

Description

Further to T4370, we should establish the state of other i18n files for the Miraheze Repos

  • ManageWiki/settings
  • Manage Wiki (section headers - styling, restricted etc..)

We should probably also look at grammar and spelling improvements.

Event Timeline

RhinosF1 triaged this task as Low priority.Aug 17 2019, 16:29
RhinosF1 updated the task description. (Show Details)Aug 17 2019, 16:40

What’s the tasks premise?

In T4653#88530, @John wrote:

What’s the tasks premise?

To work out how many of the en.json i18n files in Miraheze's repos for stuff we maintain are out of date and need updating. Then update them.

None should be out of date?

In T4653#88532, @John wrote:

None should be out of date?

They based on T4370 are though

John added a comment.EditedAug 17 2019, 17:51

How? That’s a request to make things translatable? That’s the only part which wasn’t translatable

In T4653#88534, @John wrote:

How? That’s a request to make things translatable?

Yes it is

That’s the only part which wasn’t translatable

Of everything 100%

RhinosF1 updated the task description. (Show Details)Sep 11 2019, 06:08

Already MW/S is out of date again

And the irony behind it is you made it out of date I believe :)

RhinosF1 updated the task description. (Show Details)Sep 11 2019, 15:44
In T4653#89753, @John wrote:

And the irony behind it is you made it out of date I believe :)

I was involved in all of the changes ironically yes. I'll try and ensure every other system message (that should be translatable) is as soon as I can

RhinosF1 updated the task description. (Show Details)Sep 11 2019, 15:49
RhinosF1 updated the task description. (Show Details)Sep 11 2019, 16:52
RhinosF1 updated the task description. (Show Details)Sep 11 2019, 17:45
RhinosF1 closed this task as Resolved.Dec 24 2019, 13:49

Resolving this - not aware of any issues with i18n beyond what I broke & fixed many times throughout the year along with others.